.TH "pyspottedunipd.fb.models.FacebookGraphApi" 3 "Thu Apr 20 2017" "Version 0.0.2" "PySpottedUnipd" \" -*- nroff -*-
.ad l
.nh
.SH NAME
pyspottedunipd.fb.models.FacebookGraphApi \- 
.SH SYNOPSIS
.br
.PP
.PP
Inherits object\&.
.SS "Public Member Functions"

.in +1c
.ti -1c
.RI "def \fB__init__\fP (self, \fBtoken\fP)"
.br
.ti -1c
.RI "def \fBget_api_driver\fP (self, version='2\&.7')"
.br
.ti -1c
.RI "def \fBget_page_posts_url\fP (self, page_id)"
.br
.ti -1c
.RI "def \fBget_post_summary_urls\fP (self, post_id)"
.br
.in -1c
.SS "Static Public Member Functions"

.in +1c
.ti -1c
.RI "def \fBget_api_url\fP (version='2\&.8')"
.br
.ti -1c
.RI "def \fBparse_api_response\fP (url)"
.br
.in -1c
.SS "Public Attributes"

.in +1c
.ti -1c
.RI "\fBtoken\fP"
.br
.in -1c
.SH "Detailed Description"
.PP 

.PP
.nf
The official Facebook graph API driver (parser, scraper ...) 
.fi
.PP
 
.PP
Definition at line 28 of file models\&.py\&.
.SH "Constructor & Destructor Documentation"
.PP 
.SS "def pyspottedunipd\&.fb\&.models\&.FacebookGraphApi\&.__init__ ( self,  token)"

.PP
Definition at line 31 of file models\&.py\&.
.SH "Member Function Documentation"
.PP 
.SS "def pyspottedunipd\&.fb\&.models\&.FacebookGraphApi\&.get_api_driver ( self,  version = \fC'2\&.7'\fP)"

.PP
.nf
:param version: str
    Version of API to use
:return: GraphAPI
    Facebook API driver

.fi
.PP
 
.PP
Definition at line 59 of file models\&.py\&.
.SS "def pyspottedunipd\&.fb\&.models\&.FacebookGraphApi\&.get_api_url ( version = \fC'2\&.8'\fP)\fC [static]\fP"

.PP
.nf
:param version: str
    Version of API to use
:return: str
    Url of graph API

.fi
.PP
 
.PP
Definition at line 37 of file models\&.py\&.
.SS "def pyspottedunipd\&.fb\&.models\&.FacebookGraphApi\&.get_page_posts_url ( self,  page_id)"

.PP
.nf
:param page_id: str
    ID of page to scrape
:return: str
    Url of posts of page

.fi
.PP
 
.PP
Definition at line 69 of file models\&.py\&.
.SS "def pyspottedunipd\&.fb\&.models\&.FacebookGraphApi\&.get_post_summary_urls ( self,  post_id)"

.PP
.nf
:param post_id: str
    ID if post
:return: {} with keys 'likes', 'comments'
    Urls to get info about key

.fi
.PP
 
.PP
Definition at line 79 of file models\&.py\&.
.SS "def pyspottedunipd\&.fb\&.models\&.FacebookGraphApi\&.parse_api_response ( url)\fC [static]\fP"

.PP
.nf
:param url: str
    Url to fetch
:return: json loaded
    Response json-parsed

.fi
.PP
 
.PP
Definition at line 48 of file models\&.py\&.
.SH "Member Data Documentation"
.PP 
.SS "pyspottedunipd\&.fb\&.models\&.FacebookGraphApi\&.token"

.PP
Definition at line 34 of file models\&.py\&.

.SH "Author"
.PP 
Generated automatically by Doxygen for PySpottedUnipd from the source code\&.
